Subject: Re: AP firmware for TI wl1251 wifi chip (wl1251-fw-ap.bin)

From: Pali Rohár <[email-masked]>
Date: Mon, 21 Mar 2016 12:01:13 +0100

On Monday 21 March 2016 12:35:32 Kalle Valo wrote:
> Pali Rohár <[email-masked]> writes:
> 
> > In linux-firmware repository [1] is missing AP firmware for TI wl1251 
> > chip. There is only STA firmware wl1251-fw.bin which supports managed 
> > and ad-hoc modes.
> >
> > For other TI wilink chips there are <CHIP>-ap.bin firmware files 
> > (wl1271-fw-ap.bin and wl128x-fw-ap.bin) which support AP mode. But for 
> > wl1251 firmware file with guessed name "wl1251-fw-ap.bin" is missing.
> >
> > Do you have any idea what happened with AP firmware for ti wilink4 
> > wl1251 wifi chip? Or where can be found? Guys from TI, can you help?
> 
> It's a long time ago but IIRC wl1251 has not ever supported AP mode and
> wl1271 was the first one to support it. But I might be wrong of course.

Support for AP mode in current kernel driver wl1251.ko is missing, but I
could try to write it if there will be firmware for it.

According to some TI whitepaper about TI wilink4 devices (wl1251 and
wl1253) those devices have support for some Soft-AP mode.

-- 
Pali Rohár
[email-masked]
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html